certificateEcusnGet
Request an issued certificate from the given `ecusn` (ECU Serial Number) value. An example of `ecusn` is `TF1161608J12340`
/certificate/{ecusn}
Usage and SDK Samples
curl -X GET "https://kk7zceuzk3.execute-api.us-east-1.amazonaws.com/dev/certificate/{ecusn}?responseType="
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.DefaultApi;
import java.io.File;
import java.util.*;
public class DefaultApiExample {
public static void main(String[] args) {
DefaultApi apiInstance = new DefaultApi();
String ecusn = ecusn_example; // String | ECU Serial Number
String responseType = responseType_example; // String | Requested Response Type
try {
certificate result = apiInstance.certificateEcusnGet(ecusn, responseType);
System.out.println(result);
} catch (ApiException e) {
System.err.println("Exception when calling DefaultApi#certificateEcusnGet");
e.printStackTrace();
}
}
}
import io.swagger.client.api.DefaultApi;
public class DefaultApiExample {
public static void main(String[] args) {
DefaultApi apiInstance = new DefaultApi();
String ecusn = ecusn_example; // String | ECU Serial Number
String responseType = responseType_example; // String | Requested Response Type
try {
certificate result = apiInstance.certificateEcusnGet(ecusn, responseType);
System.out.println(result);
} catch (ApiException e) {
System.err.println("Exception when calling DefaultApi#certificateEcusnGet");
e.printStackTrace();
}
}
}
String *ecusn = ecusn_example; // ECU Serial Number
String *responseType = responseType_example; // Requested Response Type
DefaultApi *apiInstance = [[DefaultApi alloc] init];
[apiInstance certificateEcusnGetWith:ecusn
responseType:responseType
completionHandler: ^(certificate output, NSError* error) {
if (output) {
NSLog(@"%@", output);
}
if (error) {
NSLog(@"Error: %@", error);
}
}];
var FcaEcuIdentityRegistration = require('fca_ecu_identity_registration');
var api = new FcaEcuIdentityRegistration.DefaultApi()
var ecusn = ecusn_example; // {String} ECU Serial Number
var responseType = responseType_example; // {String} Requested Response Type
var callback = function(error, data, response) {
if (error) {
console.error(error);
} else {
console.log('API called successfully. Returned data: ' + data);
}
};
api.certificateEcusnGet(ecusn, responseType, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;
namespace Example
{
public class certificateEcusnGetExample
{
public void main()
{
var apiInstance = new DefaultApi();
var ecusn = ecusn_example; // String | ECU Serial Number
var responseType = responseType_example; // String | Requested Response Type
try
{
certificate result = apiInstance.certificateEcusnGet(ecusn, responseType);
Debug.WriteLine(result);
}
catch (Exception e)
{
Debug.Print("Exception when calling DefaultApi.certificateEcusnGet: " + e.Message );
}
}
}
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');
$api_instance = new Swagger\Client\Api\DefaultApi();
$ecusn = ecusn_example; // String | ECU Serial Number
$responseType = responseType_example; // String | Requested Response Type
try {
$result = $api_instance->certificateEcusnGet($ecusn, $responseType);
print_r($result);
} catch (Exception $e) {
echo 'Exception when calling DefaultApi->certificateEcusnGet: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::DefaultApi;
my $api_instance = WWW::SwaggerClient::DefaultApi->new();
my $ecusn = ecusn_example; # String | ECU Serial Number
my $responseType = responseType_example; # String | Requested Response Type
eval {
my $result = $api_instance->certificateEcusnGet(ecusn => $ecusn, responseType => $responseType);
print Dumper($result);
};
if ($@) {
warn "Exception when calling DefaultApi->certificateEcusnGet: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = swagger_client.DefaultApi()
ecusn = ecusn_example # String | ECU Serial Number
responseType = responseType_example # String | Requested Response Type
try:
api_response = api_instance.certificate_ecusn_get(ecusn, responseType)
pprint(api_response)
except ApiException as e:
print("Exception when calling DefaultApi->certificateEcusnGet: %s\n" % e)
Parameters
Path parameters
| Name | Description |
|---|---|
| ecusn* |
String
ECU Serial Number
Required
|
Query parameters
| Name | Description |
|---|---|
| responseType* |
String
Requested Response Type
Required
|